OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DrawIndirect

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDrawIndirect :: MonadIO m => m Bool
- gl_ARB_draw_indirect :: Bool
- gl_DRAW_INDIRECT_BUFFER :: GLenum
- gl_DRAW_INDIRECT_BUFFER_BINDING :: GLenum
- glDrawArraysIndirect :: MonadIO m => GLenum -> Ptr a -> m ()
- glDrawElementsIndirect :: MonadIO m => GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetARBDrawIndirect :: MonadIO m => m Bool

Is the ARB_draw_indirect extension supported?

gl_ARB_draw_indirect :: Bool

Is the ARB_draw_indirect extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawIndirect` in those cases instead.

# Enums

gl_DRAW_INDIRECT_BUFFER :: GLenum

gl_DRAW_INDIRECT_BUFFER_BINDING :: GLenum

# Functions

glDrawArraysIndirect

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr a | `indirect`.
-> m () |

Manual page for OpenGL 4.x.

glDrawElementsIndirect

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLenum | `type`.
-> Ptr a | `indirect`.
-> m () |

Manual page for OpenGL 4.x.